BANK MEGA SYARIAH ES Bugs - Bug #2852

[HR-Employee Movement] perbaikan externallD pada Employee Movement
07/04/2024 05:08 PM - Muhammad Bintar

Status: Closed Start date: 07/04/2024
Priority: Urgent Due date: 07/08/2024
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

dear tim developer, mohon support nya untuk perbaikan generate externallD pada menu employee movement dengan format
dimana :

Contoh 22.0172.1.85

Terdiri dari :

22 = tahun join

0172 = 4 digit terakhir ID Internal

1 = Jenis Kelami (1 = Laki - laki / 2 = Perempuan)
85 = Tahun lahir

[Drganization Structure * ” Maintain Master Data "]

4 Employee Detail

Emplovee 10 00001057 Employee Type: Permanent
External ID: 09,1791.2.75 Position: General Banking RM
O Tarie VeI, T UNar QOrgatization: KCP Rembang
Ernployes Status: | Active Grade: Officer 3

-

ch | Master Data
W iR “imne A1 b
itu pernah bisa di minova existing dan diminta untuk disesuaikan dengan minova existing

remote.minovais.com:31134
database
remote.minovais.com, 1442

History

#1 - 07/05/2024 09:52 AM - Kezia Pawitra Yulianti

- Due date changed from 07/10/2024 to 07/08/2024

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to M Azid Wahyudi

- Priority changed from Normal to Urgent

azid, tolong d bantu yaa task ini
Tks

#2 - 07/05/2024 02:33 PM - M Azid Wahyudi

- File clipboard-202407051428-50hce.png added

- File clipboard-202407051430-wcfa7.png added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , udah bisa di test ya
Menu Action: Employee Hiring

W Organization Management
Employee ID; 00009932

Effective Date: 05/07/2024

Employee Master Data Company ID: PT Bank Mega Syariah

Import Employee Data Payroll Group Payroll Mega Syariah

Export Employee Data

Employee Report

Time Management Start Date: 05/07/2024 -
Travel Management End Date: 31/1219999 -
Benefit Administration Full Name:
Employee Payroll Data Nick Name:
Payroll Accounting External ID: 249932124
B HR Strategic First Title: .
B System Administration Last Title: -
Gender Pria -
Birth Date 05/07/2024 ~
Birth Place
Nationality INDONESIA -
Ethnic: -

Religion ~le

package :
sdatatablefield (phrpa0001 di selectfuntion)

WIN-6PEH3TRPCMH...SDATATABLEFIELD >

1 Personal Data2 Assignment3 Address4 Education Working Experience6 Family? Health Record8 Communication Typed Personal ID10 Facilties 11 Language Skil12 Date Specification

Marital Status.
Marital Status Since:
Number Of Children:
ID Card:

Picture:

Notes:

Create By
Create Date:
Change By
Change Date

Search Q Hep (@) minovais -

Personal Data

L. -Je :

Column Alias Table Qutp.. Sort Type Sort Order Filter Oru Oru. Or.
4 TableMame SDATATAE... a
FieldName SDATATAB... [ -]
SeqNum SDATATAB... [ /]
DataRef SDATATAE... a
DataType SDATATAE.. [
Length SDATATAB... a
Prec SDATATAE... a
Scale SDATATAB... [ -]
TableRef SDATATAB... a
FixedValue SDATATAB... a
SearchFunction SDATATAB... [ -]
SearchType SDATATAB... a
IsPrimaryKey SDATATAE.. B
Isldentity SDATATAB.. [
AllowNull SDATATAE... a
SelectFunction SDATATAB... a
IsindexKey SDATATAB.. -]
C Scale TableRef FixedValue SearchFunction  SearchType IsPrimaryKey Isldentity AllowMull IsindexKey IsDescindexKey  FermatRef DefaultValue
0 o 0 1 fnGenExternallD 0 0 date
4 0 0 0 1 0 0
n n 1 n n

1]
PCMfunc (fnGenExternallD)
custparam (GENExternalHiring)
SP (GenExternallD)

makasih

#3 - 07/31/2024 02:14 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi
